=== plugins/ADM_videoFilters/CMakeLists.txt ===
ADD_SUBDIRECTORY(AddBorders)
ADD_SUBDIRECTORY(BlendRemover)
ADD_SUBDIRECTORY(Chroma)
ADD_SUBDIRECTORY(Decimate)
ADD_SUBDIRECTORY(DgBob)
ADD_SUBDIRECTORY(Fade)
ADD_SUBDIRECTORY(FastConvolution)
ADD_SUBDIRECTORY(ForcedPP)
ADD_SUBDIRECTORY(LargeMedian)
ADD_SUBDIRECTORY(LumaOnly)
ADD_SUBDIRECTORY(McDeint)
ADD_SUBDIRECTORY(MplayerDenoise3D)
ADD_SUBDIRECTORY(ResampleFps)
ADD_SUBDIRECTORY(Reverse)
ADD_SUBDIRECTORY(SwapUV)
ADD_SUBDIRECTORY(Telecide)
ADD_SUBDIRECTORY(TemporalCleaner)
#ADD_SUBDIRECTORY(Unblend)
ADD_SUBDIRECTORY(VerticalFlip)
ADD_SUBDIRECTORY(Yadif)
ADD_SUBDIRECTORY(Pulldown)
ADD_SUBDIRECTORY(Denoise)
ADD_SUBDIRECTORY(Delta)
ADD_SUBDIRECTORY(DropOut)
ADD_SUBDIRECTORY(AvisynthResize)
ADD_SUBDIRECTORY(MplayerResize)
ADD_SUBDIRECTORY(BlackenBorders)
ADD_SUBDIRECTORY(KernelDeint)
ADD_SUBDIRECTORY(Deinterlace)
ADD_SUBDIRECTORY(KeepField)
ADD_SUBDIRECTORY(FluxSmooth)
ADD_SUBDIRECTORY(Stabilize)
ADD_SUBDIRECTORY(Mosaic)
ADD_SUBDIRECTORY(Whirl)
ADD_SUBDIRECTORY(PalShift)
ADD_SUBDIRECTORY(SwapField)
ADD_SUBDIRECTORY(MSharpen)
ADD_SUBDIRECTORY(MSmooth)
ADD_SUBDIRECTORY(Soften)
ADD_SUBDIRECTORY(lavDeinterlace)
# Dependancy toward codecs ADD_SUBDIRECTORY(Logo)
ADD_SUBDIRECTORY(ChromaShift)
ADD_SUBDIRECTORY(CNR2)
ADD_SUBDIRECTORY(colorYUV)
ADD_SUBDIRECTORY(Equalizer)
ADD_SUBDIRECTORY(MPDelogo)
ADD_SUBDIRECTORY(ASharp)
ADD_SUBDIRECTORY(Contrast)
ADD_SUBDIRECTORY(Eq2)
ADD_SUBDIRECTORY(Hue)
ADD_SUBDIRECTORY(Crop)
ADD_SUBDIRECTORY(Rotate)
ADD_SUBDIRECTORY(Tdeint)
ADD_SUBDIRECTORY(Srt)
ADD_SUBDIRECTORY(Ass)
# Dependancy toward codec & pics ADD_SUBDIRECTORY(Animated)
#ADD_SUBDIRECTORY(leakKernelDeint)
ADD_SUBDIRECTORY(TIsophote)
ADD_SUBDIRECTORY(CurveEditor)
