=== debian/changelog ===
avidemux (1:2.5.3-0ubuntu3) maverick; urgency=low

  * Bump Standards.
  * Add debian/patches/04-xvid-detection.diff for proper xvid detection:
    - Fixes FTBFS on Maverick (LP: #614896).

 -- Артём Попов <artfwo@gmail.com>  Sun, 08 Aug 2010 10:43:33 +0700

avidemux (1:2.5.3-0ubuntu2) maverick; urgency=low

  * Bump Standards.
  * Rebuild for JACK2 transition.
  * Add missing misc:Depends macro to avidemux-common's Depends field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 12:58:06 +0200

avidemux (1:2.5.3-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #577798):
    - Fix crash when importing from DVD iso (LP: #450584).
  * Switch to debian 3.0 (quilt) format to ease upstream's tarball repacking.
  * Remove unnecessary debian/README.source file.
  * debian/control:
    - Don't build-depend on quilt.
    - Build-depend on yasm for i386,amd64 architectures.
    - Bump Standards.
    - Add Vcs-* tags.
  * debian/rules:
    - Remove get-orig-source rule, no longer needed.
    - Don't pass DAVIDEMUX_LIB_DIR=/usr/lib to cmake, otherwise it tries to
      to link plugins against the system libs.
  * debian/avidemux-plugins-common.install: Install
    usr/lib/ADM_plugins/videoEncoder/{libADM_vidEnc_mpeg2enc.so,mpeg2enc/*}.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 09 May 2010 19:47:31 +0200

avidemux (1:2.5.2-0ubuntu3) lucid; urgency=low

  * No-change rebuild against libfaad2 (libfaad0 is NBS).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Mar 2010 16:45:59 +0100

avidemux (1:2.5.2-0ubuntu2) lucid; urgency=low

  * Add missing Conflicts/Replaces on avidemux-plugins to the new plugins
    packages
  * Add debian/patches/03-no-altivec.diff so SET(ADM_CPU_ALTIVEC 1) is not set
    - Attempt to avoid FTBFS on Ubuntu powerpc

 -- Scott Kitterman <scott@kitterman.com>  Sun, 27 Dec 2009 17:15:18 -0500

avidemux (1:2.5.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Drop debian/patches/03-fix_crash_with_greek_locale.diff (incorporated
      upstream)
  * Add build-depends on libopencore-amrnb-dev and libopencore-amrwb-dev to
    provide missing codec support
  * Add build-depends on gettext
  * Change arch: any packages to arch: i386 amd64 powerpc
    - These are the only platforms upstream supports see
      cmake/admDetermineSystem.cmake
  * Split avidemux-plugins into avidemux-plugins-common, avidemux-plugins-qt,
    avidemux-plugins-gtk, avidemux-plugins-cli (LP: #454167)
    - Adjust for avidemux, avidemux-qt, and avidemux-cli
  * Move plugins to recommends

 -- Scott Kitterman <scott@kitterman.com>  Sun, 27 Dec 2009 00:05:55 -0500

avidemux (1:2.5.2~rc-0ubuntu3) lucid; urgency=low

  * debian/patches/03-fix_crash_with_greek_locale.diff:
    - Prevent crash while using Greek language (LP: #344528).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 19 Dec 2009 03:29:35 +0100

avidemux (1:2.5.2~rc-0ubuntu2) lucid; urgency=low

  * Add PulseAudio support (LP: #215560).
  * Append ${misc:Depends} macro to the Depends fields.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 14 Dec 2009 00:35:23 +0100

avidemux (1:2.5.2~rc-0ubuntu1) lucid; urgency=low

  * 2.5.2 release candidate; taken from upstream's SVN
    (tag avidemux_2.5.2rc, revision #5655):
    - Re-enabled Vorbis decoder (regression introduced 2.5.0)
    - Updated the FFmpeg libraries
    - Added support for latest x264 core and updated Qt interface
    - Added support for H264 video, VP6A video and AAC audio in FLV
      container
    - Added support for SEDG and WMVA four CCs
    - Various fixes related to Xvid settings
    - Fixed Xvid stat files remaining locked after encoding (regression
      introduced 2.5.0)
    - Improved MKV demuxer
    - New Colour Curve Editor plugin for Qt interface
    - Fixed partial filter support (regression introduced 2.5.0)
    - Fixed FluxSmooth filter plugin (regression introduced 2.5.0)
    - Added extra bitrate settings for LAME audio encoder
    - Enabled JACK audio device plugin (regression introduced 2.5.0)
    - Various GUI fixes for GTK+ and Qt interface
    - Fixed command-line interface support for various video filters
    - Changed "save-jpg" parameter of command-line interface to honour
      "begin" parameter
    - Fixed saving of crash file when Avidemux unexpectedly quits (regression
      introduced in 2.5.0)
    - Fixed GUI quirks when using Copy mode and AVI un/packing
    - Proper channel mapping for multichannel DTS & Vorbis files
    - Proper decoding of 5.1 vorbis file in mkv
    - Fixes bugs:
      - LP: #481561
  * debian/rules: Update ffmpeg tarballs' filenames.
  * Drop 01-build_vorbis_decoder.diff patch.
  * Refresh 02-alsa_output.diff patch, partially adopted by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 13 Dec 2009 12:41:41 +0100

avidemux (1:2.5.1+repack-0ubuntu3) lucid; urgency=low

  * Add 02-alsa_output.diff to make ALSA uses a different device (LP: #321028)
  * Refresh patches.
  * debian/control: Replace libxvidcore4-dev with libxvidcore-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 23 Nov 2009 16:59:21 +0100

avidemux (1:2.5.1+repack-0ubuntu2) karmic; urgency=low

  * debian/{control,rules,README.source}: Add quilt support.
  * debian/rules: Prevent FTBFS if the dir exists.
  * Add a patch to build vorbis decoder plugin (LP: #447720).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 12 Oct 2009 23:44:26 +0200

avidemux (1:2.5.1+repack-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release (LP: #416066):
    - Re-enabled several video and audio encoders (regression introduced
      in 2.5.0)
    - Updated the FFmpeg libraries
    - More video encoders are now plugins
    - DV video encoder now supports more profiles
    - Fixed loading and saving issues with LAME, x264 and Xvid options
      (regression introduced in 2.5.0)
    - Fraps video decoding support
    - Lowpass-5 mode added to libavcodec deinterlacer filter plugin

